Get Smart Shield Settings
GET/zones/{zone_id}/smart_shield
Retrieve Smart Shield Settings.
Security
API Token
The preferred authorization scheme for interacting with the Cloudflare API. Create a token.
Example:
API Email + API Key
The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.
Example:
The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.
Example:
Accepted Permissions (at least one required)
Get Smart Shield Settings
curl https://api.cloudflare.com/client/v4/zones/$ZONE_ID/smart_shield \
-H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"cache_reserve": {
"id": "cache_reserve",
"editable": true,
"value": "off"
},
"healthchecks_count": 5,
"regional_tiered_cache": {
"id": "regional_tiered_cache",
"editable": true,
"value": "off"
},
"smart_routing": {
"id": "smart_routing",
"editable": true,
"value": "off"
},
"smart_tiered_cache": {
"id": "smart_tiered_cache",
"editable": true,
"modified_on": "2025-09-10T22:53:22.946098Z",
"value": "on"
}
},
"success": true
}{
"errors": [
{
"code": 1137,
"message": "Unable to process request. Internal error."
}
],
"messages": [],
"result": null,
"success": false
}{
"errors": [
{
"code": 1016,
"message": "Unable to retrieve smart_tiered_cache."
},
{
"code": 1016,
"message": "Unable to retrieve cache_reserve."
},
{
"code": 1016,
"message": "Unable to retrieve smart_routing."
},
{
"code": 1016,
"message": "Unable to retrieve regional_tiered_cache."
},
{
"code": 1016,
"message": "Unable to retrieve healthchecks_count."
}
],
"messages": [],
"result": null,
"success": false
}{
"errors": [
{
"code": 1034,
"message": "Upgrade Smart Shield to unlock smart_tiered_cache."
},
{
"code": 1034,
"message": "Upgrade Smart Shield to unlock argo_smart_routing."
},
{
"code": 1034,
"message": "Upgrade Smart Shield to unlock regional_tiered_cache."
},
{
"code": 1034,
"message": "Upgrade Smart Shield to unlock cache_reserve."
},
{
"code": 1034,
"message": "Upgrade Smart Shield to unlock healthchecks_count."
}
],
"messages": [],
"result": null,
"success": false
}Returns Examples
{
"errors": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"messages": [
{
"code": 1000,
"message": "message",
"documentation_url": "documentation_url",
"source": {
"pointer": "pointer"
}
}
],
"result": {
"cache_reserve": {
"id": "cache_reserve",
"editable": true,
"value": "off"
},
"healthchecks_count": 5,
"regional_tiered_cache": {
"id": "regional_tiered_cache",
"editable": true,
"value": "off"
},
"smart_routing": {
"id": "smart_routing",
"editable": true,
"value": "off"
},
"smart_tiered_cache": {
"id": "smart_tiered_cache",
"editable": true,
"modified_on": "2025-09-10T22:53:22.946098Z",
"value": "on"
}
},
"success": true
}{
"errors": [
{
"code": 1137,
"message": "Unable to process request. Internal error."
}
],
"messages": [],
"result": null,
"success": false
}{
"errors": [
{
"code": 1016,
"message": "Unable to retrieve smart_tiered_cache."
},
{
"code": 1016,
"message": "Unable to retrieve cache_reserve."
},
{
"code": 1016,
"message": "Unable to retrieve smart_routing."
},
{
"code": 1016,
"message": "Unable to retrieve regional_tiered_cache."
},
{
"code": 1016,
"message": "Unable to retrieve healthchecks_count."
}
],
"messages": [],
"result": null,
"success": false
}{
"errors": [
{
"code": 1034,
"message": "Upgrade Smart Shield to unlock smart_tiered_cache."
},
{
"code": 1034,
"message": "Upgrade Smart Shield to unlock argo_smart_routing."
},
{
"code": 1034,
"message": "Upgrade Smart Shield to unlock regional_tiered_cache."
},
{
"code": 1034,
"message": "Upgrade Smart Shield to unlock cache_reserve."
},
{
"code": 1034,
"message": "Upgrade Smart Shield to unlock healthchecks_count."
}
],
"messages": [],
"result": null,
"success": false
}